#!/bin/sh

PKGDIR=/boot/local/pkg
MOUNTDIR=/tmp/pkg

if ! [ -d $MOUNTDIR ]; then
  mkdir -p $MOUNTDIR
fi
echo -n > $MOUNTDIR/path
echo -n > $MOUNTDIR/ld

ls $PKGDIR/*.doo | while read i; do
  PKGNAME=`basename $i .doo`
  echo Mounting $PKGNAME...
  if [ -d $MOUNTDIR/$PKGNAME ]; then
    umount $MOUNTDIR/$PKGNAME 2>/dev/null
  else 
    mkdir $MOUNTDIR/$PKGNAME
  fi
  mount -o loop $i $MOUNTDIR/$PKGNAME
  
  echo -n $MOUNTDIR/$PKGNAME/bin: >> $MOUNTDIR/path
  echo -n $MOUNTDIR/$PKGNAME/lib: >> $MOUNTDIR/ld
done

